<bugID>579990<Summary>Update Add-ons in the background especially before an update install</Summary><Description>Add-ons should be updated, and should check for updates, in the background. Currently, the add-ons check for updates and update during the startup process which makes our startup seem slow.

Recommendation:
1. Have add-ons check for updates in the background (idle time, etc)
2. Update add-ons in the background just like Firefox.</Description></bugID>